import {getData} from "@/cms";
import {AgentContacts, generateStaticParamsHelper} from "@/templates/AgentContacts";
import CountryManagerContactsPage from "@/types/cms/countryManagerContacts";

interface PageProps {
	params: {
		country: string;
	};
}

const language = "ar";

export async function generateStaticParams() {
	return generateStaticParamsHelper(language);
}

export default async function Page({params: {country}}: PageProps) {
	const data = await getData<CountryManagerContactsPage>("country-managers-contact", language);

	return <AgentContacts data={data} country={country} page={`/contacts/${country}`} language={language} />;
}
